#include<bits/stdc++.h>
using namespace std;
int n,l;
long long x;
int main()
{
    cin>>n>>l;
    for(int i=1;i<=n;i++){
        cin>>x;
        if(x<=l){
            cout<<i<<endl;
            return 0;
        }
    }
    cout<<-1<<endl;
    return 0;
}